package com.ruoyi.bst.modelSuit.service;

import java.util.List;

import com.ruoyi.bst.modelSuit.domain.ModelSuit;
import com.ruoyi.bst.modelSuit.domain.ModelSuitQuery;
import com.ruoyi.bst.modelSuit.domain.ModelSuitVO;

/**
 * 车型套餐关联Service接口
 *
 * @author ruoyi
 * @date 2025-04-23
 */
public interface ModelSuitService
{
    /**
     * 查询车型套餐关联
     *
     * @param id 车型套餐关联主键
     * @return 车型套餐关联
     */
    public ModelSuitVO selectModelSuitById(Long id);

    /**
     * 查询车型套餐关联列表
     *
     * @param modelSuit 车型套餐关联
     * @return 车型套餐关联集合
     */
    public List<ModelSuitVO> selectModelSuitList(ModelSuitQuery modelSuit);

    /**
     * 新增车型套餐关联
     *
     * @param modelSuit 车型套餐关联
     * @return 结果
     */
    public int insertModelSuit(ModelSuit modelSuit);

    /**
     * 修改车型套餐关联
     *
     * @param modelSuit 车型套餐关联
     * @return 结果
     */
    public int updateModelSuit(ModelSuit modelSuit);

    /**
     * 批量删除车型套餐关联
     *
     * @param ids 需要删除的车型套餐关联主键集合
     * @return 结果
     */
    public int deleteModelSuitByIds(Long[] ids);

    /**
     * 删除车型套餐关联信息
     *
     * @param id 车型套餐关联主键
     * @return 结果
     */
    public int deleteModelSuitById(Long id);

    /**
     * 批量删除车型套餐关联
     *
     * @param suitIds 需要删除的套餐ID集合
     * @return 结果
     */
    public int deleteModelSuitBySuitIds(List<Long> suitIds);

    /**
     * 批量删除车型套餐关联
     *
     * @param modelIds 需要删除的车型ID集合
     * @return 结果
     */ 
    public int deleteModelSuitByModelIds(List<Long> modelIds);

    /**
     * 批量新增车型套餐关联
     *
     * @param modelSuitList 车型套餐关联集合
     * @return 结果
     */
    public int batchInsert(List<ModelSuit> modelSuitList);
}
